Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit
Class Controller

    java.lang.Object
      com.endeca.soleng.eac.toolkit.Controller

    public class Controller

extends java.lang.Object

This class handles provisioning and exposes an interface for interaction with the components and scripts in an EAC application. Methods in this class interact with the Spring framework to read and parse configuration from an application configuration document, provision components and use reflection to execute commands.

Constructor Summary
`Controller()`

Method Summary
`void` | `addAppConfigDoc(java.lang.String appConfigDoc)`
`void` | `addConfigOverrideDoc(java.lang.String configOverrideDoc)`
`void` | `execute()` Main controller method.
`java.util.List<java.lang.String>` | `getAppConfigDocs()`
`org.springframework.context.support.GenericApplicationContext` | `getAppContext()`
`java.util.List<java.lang.String>` | `getConfigOverrideDocs()`
`java.lang.Object` | `getRequestedBean()`
`java.lang.String` | `getRequestedBeanName()`
`java.lang.reflect.Method` | `getRequestedMethod()`
`java.lang.String[]` | `getRequestedMethodArgs()`
`java.lang.String` | `getRequestedMethodName()`
`boolean` | `isHelpRequested()`
`boolean` | `isPrintStatusRequested()`
`boolean` | `isRemoveAppRequested()`
`boolean` | `isSkipDefinitionRequested()`
`boolean` | `isUpdateDefinitionRequested()`
`boolean` | `isVersionRequested()`
`static void` | `main(java.lang.String[] args)` Main method invoked from the command line.
`void` | `setAppConfigDocs(java.util.List<java.lang.String> appConfigDocs)`
`void` | `setAppContext(org.springframework.context.support.GenericApplicationContext appContext)`
`void` | `setConfigOverrideDocs(java.util.List<java.lang.String> configOverrideDocs)`
`void` | `setHelpRequested(boolean helpRequested)`
`void` | `setPrintStatusRequested(boolean printStatusRequested)`
`void` | `setRemoveAppRequested(boolean removeAppRequested)`
`void` | `setRequestedBean(java.lang.Object requestedBean)`
`void` | `setRequestedBeanName(java.lang.String requestedBeanName)`
`void` | `setRequestedMethod(java.lang.reflect.Method requestedMethod)`
`void` | `setRequestedMethodArgs(java.lang.String[] requestedMethodArgs)`
`void` | `setRequestedMethodName(java.lang.String requestedMethodName)`
`void` | `setSkipDefinitionRequested(boolean noProvisionRequested)`
`void` | `setUpdateDefinitionRequested(boolean updateDefinitionRequested)`
`void` | `setVersionRequested(boolean versionRequested)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Controller

    public Controller()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main method invoked from the command line. Parses command line arguments and executes the controller based on the parsed config.

  Parameters:
    `args` - Command line arguments.

### execute

    public void execute()

  Main controller method. Exposes the ability to execute actions by naming any object defined in the app configuration document and naming a method (and, optionally, one or more String arguments) on that object.

### getRequestedBeanName

    public java.lang.String getRequestedBeanName()

### setRequestedBeanName

    public void setRequestedBeanName(java.lang.String requestedBeanName)

### getRequestedMethodArgs

    public java.lang.String[] getRequestedMethodArgs()

### setRequestedMethodArgs

    public void setRequestedMethodArgs(java.lang.String[] requestedMethodArgs)

### getRequestedMethodName

    public java.lang.String getRequestedMethodName()

### setRequestedMethodName

    public void setRequestedMethodName(java.lang.String requestedMethodName)

### getAppContext

    public org.springframework.context.support.GenericApplicationContext getAppContext()

### setAppContext

    public void setAppContext(org.springframework.context.support.GenericApplicationContext appContext)

### getRequestedBean

    public java.lang.Object getRequestedBean()

### setRequestedBean

    public void setRequestedBean(java.lang.Object requestedBean)

### getRequestedMethod

    public java.lang.reflect.Method getRequestedMethod()

### setRequestedMethod

    public void setRequestedMethod(java.lang.reflect.Method requestedMethod)

### isHelpRequested

    public boolean isHelpRequested()

### setHelpRequested

    public void setHelpRequested(boolean helpRequested)

### isPrintStatusRequested

    public boolean isPrintStatusRequested()

### setPrintStatusRequested

    public void setPrintStatusRequested(boolean printStatusRequested)

### isRemoveAppRequested

    public boolean isRemoveAppRequested()

### setRemoveAppRequested

    public void setRemoveAppRequested(boolean removeAppRequested)

### isUpdateDefinitionRequested

    public boolean isUpdateDefinitionRequested()

### setUpdateDefinitionRequested

    public void setUpdateDefinitionRequested(boolean updateDefinitionRequested)

### isSkipDefinitionRequested

    public boolean isSkipDefinitionRequested()

### setSkipDefinitionRequested

    public void setSkipDefinitionRequested(boolean noProvisionRequested)

### isVersionRequested

    public boolean isVersionRequested()

### setVersionRequested

    public void setVersionRequested(boolean versionRequested)

### getAppConfigDocs

    public java.util.List<java.lang.String> getAppConfigDocs()

### setAppConfigDocs

    public void setAppConfigDocs(java.util.List<java.lang.String> appConfigDocs)

### addAppConfigDoc

    public void addAppConfigDoc(java.lang.String appConfigDoc)

### getConfigOverrideDocs

    public java.util.List<java.lang.String> getConfigOverrideDocs()

### setConfigOverrideDocs

    public void setConfigOverrideDocs(java.util.List<java.lang.String> configOverrideDocs)

### addConfigOverrideDoc

    public void addConfigOverrideDoc(java.lang.String configOverrideDoc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500